    # File lib/merb-core/dispatch/router/behavior.rb, line 280
          def match(path = {}, conditions = {}, &block)
            path, conditions = path[:path], path if path.is_a?(Hash)

            raise Error, "The route has already been committed. Further conditions cannot be specified" if @route

            conditions.delete_if { |k, v| v.nil? }
            conditions[:path] = merge_paths(path)

            behavior = Behavior.new(@proxy, @conditions.merge(conditions), @params, @defaults, @identifiers, @options, @blocks)
            with_behavior_context(behavior, &block)
          end